Home Information Classes Download Usage Mail List Requirements Links Tutorial

# Simple Class Reference

STK wavetable/noise instrument. More...

`#include <Simple.h>`

Inheritance diagram for Simple:

List of all members.

## Public Member Functions

| Simple ()
| Class constructor.
virtual | ~Simple ()
| Class destructor.
void | clear ()
| Clear internal states.
virtual void | setFrequency (MY_FLOAT frequency)
| Set instrument parameters for a particular frequency.
void | keyOn ()
| Start envelope toward "on" target.
void | keyOff ()
| Start envelope toward "off" target.
virtual void | noteOn (MY_FLOAT frequency, MY_FLOAT amplitude)
| Start a note with the given frequency and amplitude.
virtual void | noteOff (MY_FLOAT amplitude)
| Stop a note with the given amplitude (speed of decay).
virtual MY_FLOAT | tick ()
| Compute one output sample.
virtual void | controlChange (int number, MY_FLOAT value)
| Perform the control change specified by number and value (0.0 - 128.0).

## Detailed Description

STK wavetable/noise instrument.

This class combines a looped wave, a noise source, a biquad resonance filter, a one-pole filter, and an ADSR envelope to create some interesting sounds.

Control Change Numbers:

- Filter Pole Position = 2
- Noise/Pitched Cross-Fade = 4
- Envelope Rate = 11
- Gain = 128

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 30 of file Simple.h.

The documentation for this class was generated from the following file:

- Simple.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.